
Redmine - Defect #5343

acts_as_event Doesn't Accept Outside URLs

2010-04-18 00:25 - Eric Thomas

Status: Closed Start date: 2010-04-18

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version: 1.0.0 (RC)   

Resolution: Fixed Affected version: 0.9.3

Description

The acts_as_event plugin doesn't allow URLs to be linked to outside websites.

For example, the following doesn't work:

acts_as_event :title => Proc.new {|o| "#{o.title}"},

              :author => nil,

              :datetime => :updated_on,

              :description => Proc.new {|o| "#{o.description}"},

              :url => "http://yahoo.com" 

 Posted as a result of this discussion

Associated revisions

Revision 3681 - 2010-04-18 12:00 - Jean-Philippe Lang

Fixes acts_as_event with a String as url option (#5343).

History

#1 - 2010-04-18 00:26 - Eric Thomas

- Assignee deleted (Eric Davis)

#2 - 2010-04-18 11:57 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.9.4

- Affected version (unused) set to 0.9.3

- Resolution set to Fixed

- Affected version set to 0.9.3

Fixed in r3681.

#3 - 2010-04-30 16:02 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Target version changed from 0.9.4 to 1.0.0 (RC)
